# You can have multiple sections, just name them appropriately
[src.fedoraproject.org]
# Where is the manifest containing the list of repositories?
manifest = {{ grokmirror_topdir }}/src.fedoraproject.org/manifest.js.gz
#
# Where are the repositories kept?
#toplevel = /var/lib/git/mirror
toplevel = {{ grokmirror_topdir }}/src.fedoraproject.org
#
# Where do we put the logs?
#log = /var/log/mirror/kernelorg-fsck.log
log = {{ grokmirror_topdir }}/src.fedoraproject.org/src.fedoraproject.org-fsck.log
#
# Log level can be "info" or "debug"
#loglevel = info
loglevel = info
#
# Make sure there is only one instance of grok-fsck running by
# trying to exclusive-lock this file before we do anything.
lock = /var/tmp/kernelorg-fsck.lock
#
# Where to keep the status file
#statusfile = /var/lib/mirror/kernelorg-fsck.js
statusfile = /var/tmp/kernelorg-fsck.js
#
# How often should we check each repository, in days.
# Any newly added repository will have the first check within a random
# period of 0 and $frequency, and then every $frequency after that,
# to assure that not all repositories are checked on the same day.
# Don't set to less than 7 unless you only mirror a few repositories
# (or really like to thrash your disks).
#frequency = 30
frequency = 30
#
# Some errors are relatively benign and can be safely ignored. Add matching
# substrings to this field to ignore them.
ignore_errors = dangling commit
                dangling blob
                notice: HEAD points to an unborn branch
                notice: No default references
                contains zero-padded file modes
#
# Repack the repositories after calling git-fsck.
# This will especially save you space if you have shared repositories.
# To check if you have shared repositories, look at your manifest.js.gz to
# see if any repository definition has a "reference" key.
repack = yes
#
# Default repack flags are -A -d -l -q, but you can specify your own here
repack_flags = -A -d -l -q
#
# Once in a while you should repack your repositories more thoroughly,
# by passing a -f flag and using a larger window/depth. You shouldn't need
# to do this more frequently than once every 10-15 regular repacks.
#
# Trigger a full repack every N times.
full_repack_every = 10
#
# What flags should we use when doing a full repack.
full_repack_flags = -A -d -l -q -f --window=200 --depth=50
#
# Run git-prune to remove obsolete old objects if no other repositories are
# using the repo in their objects/info/alternates. If other repositories
# are relying on this repo via alternates, it will not be pruned to avoid
# potential corruption.
prune = yes
